path: /build/build/kubectl-sys-cluster-1.32.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-cluster/kubectl -pv -t && \
    emerge -j ${JOBS} --nodeps sys-cluster/kubectl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kubectl && luet-portage --dir /pkgdir/kubectl
    sys-cluster/kubectl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:04ece4afc0011e607c8d00bee9d6ed49e7a18e836ad522b4d14a63c3ad4d71ad
  package:
    name: kubectl
    version: 1.32.3
    category: sys-cluster
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: CLI to run commands against Kubernetes clusters
    uri:
    - https://kubernetes.io
    license: Apache-2.0
    buildtimestamp: 2025-03-29 10:44:06.625478717 +0000 UTC m=+190.289405103
    labels:
      BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
      DEPEND: '!sys-cluster/kubernetes'
      IUSE: hardened
      emerge.packages: sys-cluster/kubectl
      kit: core-server-kit
      original.package.name: sys-cluster/kubectl
      original.package.slot: "0"
      original.package.version: 1.32.3
    treedir: /build/packages
  package_dir: /pkgdir/kubectl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c6d4d2cd78669148a10c7bce7d5a975a3897499e5bcd452148d30c24a79173f2
compressiontype: zstd
files:
- usr/bin/kubectl
- usr/share/bash-completion/completions/kubectl
- usr/share/zsh/site-functions/_kubectl
- var/db/pkg/sys-cluster/kubectl-1.32.3/BDEPEND
- var/db/pkg/sys-cluster/kubectl-1.32.3/BUILD_TIME
- var/db/pkg/sys-cluster/kubectl-1.32.3/CATEGORY
- var/db/pkg/sys-cluster/kubectl-1.32.3/CBUILD
- var/db/pkg/sys-cluster/kubectl-1.32.3/CFLAGS
- var/db/pkg/sys-cluster/kubectl-1.32.3/CHOST
- var/db/pkg/sys-cluster/kubectl-1.32.3/CONTENTS
- var/db/pkg/sys-cluster/kubectl-1.32.3/COUNTER
- var/db/pkg/sys-cluster/kubectl-1.32.3/CTARGET
- var/db/pkg/sys-cluster/kubectl-1.32.3/CXX
- var/db/pkg/sys-cluster/kubectl-1.32.3/CXXFLAGS
- var/db/pkg/sys-cluster/kubectl-1.32.3/DEFINED_PHASES
- var/db/pkg/sys-cluster/kubectl-1.32.3/DEPEND
- var/db/pkg/sys-cluster/kubectl-1.32.3/DESCRIPTION
- var/db/pkg/sys-cluster/kubectl-1.32.3/EAPI
- var/db/pkg/sys-cluster/kubectl-1.32.3/FEATURES
- var/db/pkg/sys-cluster/kubectl-1.32.3/HOMEPAGE
- var/db/pkg/sys-cluster/kubectl-1.32.3/INHERITED
- var/db/pkg/sys-cluster/kubectl-1.32.3/IUSE
- var/db/pkg/sys-cluster/kubectl-1.32.3/IUSE_EFFECTIVE
- var/db/pkg/sys-cluster/kubectl-1.32.3/KEYWORDS
- var/db/pkg/sys-cluster/kubectl-1.32.3/LDFLAGS
- var/db/pkg/sys-cluster/kubectl-1.32.3/LICENSE
- var/db/pkg/sys-cluster/kubectl-1.32.3/NEEDED
- var/db/pkg/sys-cluster/kubectl-1.32.3/NEEDED.ELF.2
- var/db/pkg/sys-cluster/kubectl-1.32.3/PF
- var/db/pkg/sys-cluster/kubectl-1.32.3/RESTRICT
- var/db/pkg/sys-cluster/kubectl-1.32.3/SIZE
- var/db/pkg/sys-cluster/kubectl-1.32.3/SLOT
- var/db/pkg/sys-cluster/kubectl-1.32.3/USE
- var/db/pkg/sys-cluster/kubectl-1.32.3/environment.bz2
- var/db/pkg/sys-cluster/kubectl-1.32.3/kubectl-1.32.3.ebuild
- var/db/pkg/sys-cluster/kubectl-1.32.3/repository
package_cacheimage: ""
runtime:
  name: kubectl
  version: 1.32.3
  category: sys-cluster
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: CLI to run commands against Kubernetes clusters
  uri:
  - https://kubernetes.io
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
    DEPEND: '!sys-cluster/kubernetes'
    IUSE: hardened
    emerge.packages: sys-cluster/kubectl
    kit: core-server-kit
    original.package.name: sys-cluster/kubectl
    original.package.slot: "0"
    original.package.version: 1.32.3
